### Function

# Gio DBusError get_remote_error

since: 2.26

#### Declaration [src]

    gchar*
    g_dbus_error_get_remote_error (
      const GError* error
    )

#### Description [src]

Gets the D-Bus error name used for `error`, if any.

This function is guaranteed to return a D-Bus error name for all `GError`s returned from functions handling remote method calls (for example, `g_dbus_connection_call_finish()`) unless `g_dbus_error_strip_remote_error()` has already been used on `error`.

Available since: 2.26

#### Parameters

`error`

  Type: `GError`

  An error.

  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

An allocated string, or `NULL` if the D-Bus error name could not be found.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.